AutoRAG

autorag

Methods

AI Search -> Envelope<{ response, search_query, data, 3 more... }>
Deprecated
post/accounts/{account_id}/autorag/rags/{id}/ai-search

Deprecated

Use AI Search instead.

AI Search

Search -> Envelope<{ search_query, data, has_more, 2 more... }>
Deprecated
post/accounts/{account_id}/autorag/rags/{id}/search

Deprecated

Use AI Search instead.

Search

Sync -> Envelope<{ job_id }>
Deprecated
patch/accounts/{account_id}/autorag/rags/{id}/sync

Deprecated

Use AI Search instead.

Sync

Files -> Envelope<Array<{ error, key }>>
Deprecated
get/accounts/{account_id}/autorag/rags/{id}/files

Deprecated

Use AI Search instead.

Files

Security

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

Auto Rag Write Auto Rag Read

path Parameters
account_id: string
id: string
(maxLength: 32, minLength: 1)

rag id

query Parameters
page: number
Optional
(minimum: 1, default: 1)
per_page: number
Optional
(maximum: 50, minimum: 0, default: 20)
search: string
Optional
status:
Optional
"completed"
"queued"
"running"
"error"
Response fields
result: Array<{ error, key }>
result_info: { count, page, total_count, 1 more... }
success: boolean
Request example
200Example

autorag.jobs

Methods

List Jobs -> V4PagePaginationArray<{ id, source, end_reason, 3 more... }>
Deprecated
get/accounts/{account_id}/autorag/rags/{id}/jobs

Deprecated

Use AI Search instead.

List Jobs

Get A Job Details -> Envelope<{ id, source, end_reason, 3 more... }>
Deprecated
get/accounts/{account_id}/autorag/rags/{id}/jobs/{job_id}

Deprecated

Use AI Search instead.

Get a Job Details

List Job Logs -> Envelope<Array<{ id, created_at, message, 1 more... }>>
Deprecated
get/accounts/{account_id}/autorag/rags/{id}/jobs/{job_id}/logs

Deprecated

Use AI Search instead.

List Job Logs